.sidebar{
  width: $left-sidebar-width;
  width: var(--left-sidebar-width);
  height: 100vh;
  position: fixed;
  left: 0;
  top: 0;
  transition: width $left-sidebar-transition;
  transition: width var(--left-sidebar-transition);
  background: $sidebar-bg;
  background: var(--sidebar-bg);
  overflow: hidden;
  z-index: 999;

  $sidebar-title-height: 75px;
  --sidebar-title-height: 75px;
  .toggle-sidebar{
    position: absolute;
    top: calc(#{$sidebar-title-height} + 10px);
    top: calc(var(--sidebar-title-height) + 10px);
    // background: $sidebar-title-bg;
    height: 40px;
    width: 40px;
    right: 10px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    .arrow{
      margin-top: -3px;
      
      img{
        transform: rotate(90deg);
        width: 20px;
      }
    }
  }
  .title{
    background-color: $sidebar-title-bg;
    background-color: var(--sidebar-title-bg);
    font-family: 'Lato-Bold';
    color: #fff;
    text-align: center;
    font-size: 25px;
    letter-spacing: 1.8px;
    line-height: 50px;
    white-space: nowrap;
    height: $sidebar-title-height;
    height: var(--sidebar-title-height);
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .model-list{
    height: calc(100% - #{$sidebar-title-height});
    height: calc(100% - var(--sidebar-title-height));
    overflow: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    //justify-content: center;
    list-style: none;
    margin: 0;
    padding: 0;

    &::-webkit-scrollbar {
        width: 5px;
    }
    &::-webkit-scrollbar-track {
        background-color: transparent;

    }
    // &::-webkit-scrollbar-thumb { 
    //     background-color: rgba(0,0,0,0);
    // }
    // &:hover{
    //   &::-webkit-scrollbar-thumb {
    //     background-color: rgba(0,0,0,.4);
    //   }
    // }

    .model{
      margin-top: 30px;
      margin-bottom: 30px;
      width: 330px;
      text-align: center;
      &:first-child{
        margin-top: 60px;
      }
      > a{
        display: block;
        text-decoration: none;
        opacity: .6;
        &:hover,&.active{
          opacity: 1;
        }
        img{
          width: 100%;
          height: 150px;
          object-fit: contain;
        }
        .model-title{
          font-family: 'Lato-SemiBold';
          color: #003470;
          font-size: 28px;
          margin-top: 5px;
          display: block;
          // text-transform: uppercase;
        }
        .model-subtitle{
          font-family: 'Lato-SemiBold';
          color: $ash;
          color: var(--ash);
          font-size: 17px;
          display: none;
        }
      }

    }

  }
}


@each $width in $resposive-width{
  @media screen and (max-width: #{$width}px){
    .sidebar{
      $sidebar-title-height: 22px;
      @if($width >= 767){
        $sidebar-title-height: #{unitary($width,75)}px;
      }
      .toggle-sidebar{
        @if($width >= 767){
          top: calc(#{$sidebar-title-height} + 10px);
          height: #{unitary($width,40)}px;
          width: #{unitary($width,40)}px;
          right: #{unitary($width,10)}px;
        }
        .arrow{
          img{
            @if($width >= 1080){
              width: #{unitary($width,20)}px
            }
          }
        }
      }
      .title{

        @if($width >= 767){
          font-size: #{unitary($width,25)}px;
          letter-spacing: #{unitary($width,1.8)}px;
          line-height: #{unitary($width,50)}px;
          height: $sidebar-title-height;
        }
      }

      .model-list{

        @if($width >= 767){
          height: calc(100% - #{$sidebar-title-height});
        }
        .model{

          @if($width >= 767){
            margin-top: #{unitary($width,30)}px;
            margin-bottom: #{unitary($width,30)}px;
            width: #{unitary($width,330)}px;
          }
          &:first-child{

            @if($width >= 767){
              margin-top: #{unitary($width,60)}px;
            }
          }
          > a{
            img{

              @if($width >= 767){
                height: #{unitary($width,150)}px;
              }
            }
            .model-title{

              @if($width >= 767){
                font-size: #{unitary($width,28)}px;
              }
            }
            .model-subtitle{

              @if($width >= 767){
                font-size: #{unitary($width,17)}px;
              }
            }
          }

        }

      }
    }
  }
}
